iteratee-0.8.9.5: Iteratee-based I/O

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.NullPoint

Contents

- Classes

Description

NullPoint: Pointed types (usually containers) that can be empty. Corresponds to Data.Monoid.mempty

Synopsis

- class NullPoint c where
  - empty :: c

# Classes

class NullPoint c where

NullPoint class. Containers that have a null representation, corresponding to Data.Monoid.mempty.

Methods

empty :: c

Instances

NullPoint ByteString |
NullPoint ByteString |
NullPoint [a] |